import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A score board inspired by the marbles Greenfoot scenario
 * 
 * @author Jan Hartman
 * @version 1.0 5.7.2022
 */
public class ScoreBoard extends Actor
{
    
    public ScoreBoard()
    {
        this("You Died","Score: ",10);
    }
    public ScoreBoard(String topMessage, String bottomMessage,int score)
    {
        GreenfootImage boardImage = new GreenfootImage(200,200);
        boardImage.setColor(new Color(252,208,102,128));
        boardImage.fillRect(0,0,200,100);
        boardImage.setColor(new Color(146,103,1,128));
        boardImage.fillRect(2,2,196,96);
        Font font = new Font(30);
        boardImage.setFont(font);
        boardImage.setColor(Color.WHITE);
        boardImage.drawLine(10,45,190,45);
        boardImage.drawString(topMessage,35,35);
        boardImage.drawString(bottomMessage + score,45,80);
        
        setImage(boardImage);
    }
}
